Mailinglist Archive: opensuse-buildservice (253 mails)

< Previous Next >
Re: [opensuse-buildservice] xUbuntu_6.06: expansion error: have choice for awk needed by base-files: mawk gawk
  • From: Adrian Schröter <adrian@xxxxxxx>
  • Date: Thu, 23 Nov 2006 11:36:06 +0100
  • Message-id: <200611231136.06427.adrian@xxxxxxx>
Am Thursday 23 November 2006 00:04 schrieb Thomas Anders:
> Building on xUbuntu_6.06 fails for me with:
>
> expansion error: have choice for awk needed by base-files: mawk gawk
>
> Is this a problem with my .dsc (Project net-snmp, package
> net-snmp-main-snapshot) or a BS bug?

it is not a bug at least. You can either reqeuest mawk or gawk directly,
instead of awk in your .dsc file.

But we can also configure xUbuntu to prefer on.

Does it make sense to prefer gawk by default ?

bye
adrian

--

Adrian Schroeter
SUSE Linux Products GmbH, Maxfeldstr. 5, 90409 Nuernberg, Germany
email: adrian@xxxxxxx

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
References